Package org.eclipse.emf.cdo.spi.server

# Class AbstractOperationAuthorizer.Factory<CONTEXT>

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>
org.eclipse.emf.cdo.spi.server.AbstractOperationAuthorizer.Factory<CONTEXT>

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `AbstractOperationAuthorizer<CONTEXT>`

public abstract static class AbstractOperationAuthorizer.Factory<CONTEXT> extends org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`
`create(String description)`
`protected abstract org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`
`create(String operationID, String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### create

public org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT> create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Specified by:
  `create` in class `org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### create

protected abstract org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT> create(String operationID, String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`